# Create GroupFlexCreate

Creates a new GroupFlexCreate

Endpoint: POST /groups/{groupID}/flex-auto-creates
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `groupID` (string, required)
    Group ID

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `groupFlexCreate_Key` (integer, required)
    Unique identifier for each auto-create flex setting. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `co_Ins` (boolean, required)
    Flag notifing if this piece of the member responsibility should be created as a Flex payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `co_Pay` (boolean, required)
    Flag notifing if this piece of the member responsibility should be created as a Flex payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `combine` (boolean, required)
    Indicates if the various member responsibility amounts selected for auto flex creation should be combined into a single claim payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `create_From_Plan_ID` (string)
    Indicates the Plan (typically the medical plan) that will have the claim with member responsibility that needs to be moved to a flex submission.

  - `create_To_Plan_ID` (string)
    Indicates the Plan (the Flex plan) that will have the member responsibility moved to in order to create the flex submission.

  - `deductible` (boolean, required)
    Flag notifing if this piece of the member responsibility should be created as a Flex payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `effective_Date` (string)
    The effective date of this auto-create processing rule.

  - `employee_Only` (boolean, required)
    A flag indicating auto created flex claims should be created for employees only, not members. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `ex_Code` (string)
    The Ex Code that is applied to the newly created flex claim.

  - `group_ID` (string, required)
    References Groups.Group_ID value on the parent record.

  - `not_Covered` (boolean, required)
    Flag notifing if this piece of the member responsibility should be created as a Flex payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `term_Date` (string)
    The term date for this auto-create processing rule.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.groupFlexCreate_Key` (integer, required)
    Unique identifier for each auto-create flex setting. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.co_Ins` (boolean, required)
    Flag notifing if this piece of the member responsibility should be created as a Flex payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.co_Pay` (boolean, required)
    Flag notifing if this piece of the member responsibility should be created as a Flex payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.combine` (boolean, required)
    Indicates if the various member responsibility amounts selected for auto flex creation should be combined into a single claim payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.create_From_Plan_ID` (string)
    Indicates the Plan (typically the medical plan) that will have the claim with member responsibility that needs to be moved to a flex submission.

  - `data.create_To_Plan_ID` (string)
    Indicates the Plan (the Flex plan) that will have the member responsibility moved to in order to create the flex submission.

  - `data.deductible` (boolean, required)
    Flag notifing if this piece of the member responsibility should be created as a Flex payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.effective_Date` (string)
    The effective date of this auto-create processing rule.

  - `data.employee_Only` (boolean, required)
    A flag indicating auto created flex claims should be created for employees only, not members. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.entry_Date` (string)
    Date when the record was first added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.ex_Code` (string)
    The Ex Code that is applied to the newly created flex claim.

  - `data.group_ID` (string, required)
    References Groups.Group_ID value on the parent record.

  - `data.not_Covered` (boolean, required)
    Flag notifing if this piece of the member responsibility should be created as a Flex payment. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `data.term_Date` (string)
    The term date for this auto-create processing rule.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

